<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Repository Plug-in Goals</title>
  </properties>
  <body>
    <goals>
      <goal>
        <name>repository:audit-copy-license</name>
        <description>copy the license for the specified groupId to the repository</description>
      </goal>
      <goal>
        <name>repository:audit-copy-licenses</name>
        <description>copy all licenses in the audit file to the repository</description>
      </goal>
      <goal>
        <name>repository:audit-create-directory</name>
        <description>create the directory, specified by directoryName, for all groups in the audit file</description>
      </goal>
      <goal>
        <name>repository:audit-create-licenses</name>
        <description>create the license directories, for all groups in the audit file, in the repository</description>
      </goal>
      <goal>
        <name>repository:audit-generate-pom</name>
        <description>generate a pom for the groupId provided, based on the audit file</description>
      </goal>
      <goal>
        <name>repository:audit-generate-poms</name>
        <description>generate a pom for all the groupId's in the audit file</description>
      </goal>
      <goal>
        <name>repository:audit-rename-licenses</name>
        <description>rename/link all licenses from their original name to ${groupId}.license</description>
      </goal>
      <goal>
        <name>repository:copy-artifact</name>
        <description>copy an artifact, specified by groupId, artifact and type, to the repository</description>
      </goal>
      <goal>
        <name>repository:copy-jar</name>
        <description>copy a jar, specified by groupId and artifact, to the repository</description>
      </goal>
      <goal>
        <name>repository:copy-snapshot-jar</name>
        <description>copy a snapshot jar, specified by groupId and artifact, to the repository</description>
      </goal>
      <goal>
        <name>repository:create-project</name>
        <description>create a project, specified by groupId, in the repository</description>
      </goal>
      <goal>
        <name>repository:delete-project</name>
        <description>delete a project, specified by groupId, in the repository</description>
      </goal>
    </goals>
  </body>
</document>